=== vendor/github.com/ergochat/webpush-go/v2/Makefile ===
.PHONY: test

test:
	go test .
	go vet .
	./.check-gofmt.sh
