=== debian/changelog ===
ergochat (2.15.0+ds1-4) unstable; urgency=medium

  * d/copyright: add missing attributions. Thanks to Thorsten Alteholz

 -- Martina Ferrari <tina@debian.org>  Fri, 14 Feb 2025 05:13:15 +0000

ergochat (2.15.0+ds1-3) unstable; urgency=medium

  * d/postinst: prevent leaking secrets in config file
  * d/ircd.yaml: add LDAP auth example
  * d/control: suggest ergochat-ldap plugin

 -- Martina Ferrari <tina@debian.org>  Thu, 13 Feb 2025 16:26:49 +0000

ergochat (2.15.0+ds1-2) unstable; urgency=medium

  * d/rules: adjust binary name

 -- Martina Ferrari <tina@debian.org>  Thu, 13 Feb 2025 15:54:42 +0000

ergochat (2.15.0+ds1-1) unstable; urgency=medium

  * Initial release (Closes: 1095850)

 -- Martina Ferrari <tina@debian.org>  Wed, 12 Feb 2025 21:07:18 +0000
