=== debian/control ===
Source: ergochat
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Martina Ferrari <tina@debian.org>,
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-golang,
 golang-any,
 golang-code.cloudfoundry-bytefmt-dev,
 golang-github-docopt-docopt-go-dev,
 golang-github-go-sql-driver-mysql-dev,
 golang-github-gofrs-flock-dev,
 golang-github-golang-jwt-jwt-v5-dev,
 golang-github-gorilla-websocket-dev,
 golang-github-okzk-sdnotify-dev,
 golang-github-tidwall-buntdb-dev,
 golang-github-toorop-go-dkim-dev,
 golang-github-xdg-go-scram-dev,
 golang-golang-x-crypto-dev,
 golang-golang-x-term-dev,
 golang-golang-x-text-dev,
 golang-gopkg-yaml.v2-dev,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/ergochat
Vcs-Git: https://salsa.debian.org/go-team/packages/ergochat.git
Homepage: https://github.com/ergochat/ergo
XS-Go-Import-Path: github.com/ergochat/ergo

Package: ergochat
Section: net
Architecture: any
Depends:
 adduser,
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 ergochat-ldap,
Static-Built-Using:
 ${misc:Static-Built-Using},
Description: Modern IRC server (daemon/ircd) written in Go
 Ergo (formerly known as Oragono) is a modern IRC server written in Go.
 Its core design principles are:
 .
  * Being simple to set up and use
  * Combining the features of an ircd, a services framework, and a
    bouncer (integrated account management, history storage, and bouncer
    functionality)
  * Bleeding-edge IRCv3 support (https://ircv3.net/software/servers.html),
    suitable for use as an IRCv3 reference implementation
  * High customizability via a rehashable (i.e., reloadable at runtime)
    YAML config
